## nauty 2.9.1

=== debian/changelog ===
nauty (2.9.1-1) unstable; urgency=medium

  * Upload to unstable for libnauty-2.8.9 -> libnauty-2.9.1 transition.
  * debian/patches/file-offset-bits.patch
    - Properly update for new release to fix build on armhf.  Previously,
      we set _FILE_OFFSET_BITS in configure.ac, but this gets overwritten
      in nauty-h.in, so we set it there instead.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 09 Dec 2025 05:51:10 -0500

nauty (2.9.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename libnauty-2.8.9 binary package to libnauty-2.9.1.
  * Upload to experimental ahead of soversion transition.
  * Major overhaul to the Debian packaging.  Previously, much was done in
    an extensive set of "autotoolization" patches that were difficult to
    maintain.  These patches have been removed and much of their
    functionality (renaming binaries, generating manpages, etc.) is now
    handled by debhelper.
  * debian/clean
    - Add gtools (not cleaned up by "make clean").
  * debian/control
    - Add libcliquer-dev to Depends for libnauty-dev.
  * debian/copyright
    - Remove Files-Excluded; no harm in keeping these auto-generated files,
      and also eases maintainability.
    - Update my copyright years.
  * debian/libnauty-2.9.1.symbols
    - Use Base version for all symbols.
    - Add new symbols for 2.9.1.
  * debian/libnauty-dev.install
    - Update filenames of installed libraries (e.g., libnautyA0 is now
      libnautyA).
    - Install headers to /usr/include/nauty (previously, this was handled
      using the autotoolization patches.
  * debian/libnauty-dev.links
    - New file; create symlink from libnauty.pc -> nauty.pc for backward
      compatibility.
  * debian/patches
    - Remove autotoolization patches.
      + debianization-prefix.patch
      + debianization.patch
      + upstream-C2help2man.patch
      + upstream-autotoolization.patch
    - Remove patches for issues that were fixed upstream.
      + build-flags.patch
      + fall-off.patch
      + format.patch
      + noreturn.patch
    - Refresh remaining patches for the new upstream release and modify as
      necessary the ones that depended on the autotoolization patches.
      Many of these patches were borrowed from Fedora -- thanks to Jerry
      James for doing the hard work!
  * debian/patches/ldflags.patch
    - New patch; add missing LDFLAGS when building dreadnaut tests.
  * debian/patches/shared.patch
    - New patch from Fedora; link binaries with shared libraries (which we
      used to do in the autotoolization patches).
  * debian/rules
    - Add .libs to LD_LIBRARY_PATHS so the tests can find the shared
      libraries.
    - Append CPPFLAGS to CC since upstream doesn't honor them.
    - Pass --enable-generic to configure to avoid "-march=native" flag during
      build.
    - New execute_after_dh_install-arch target; prepend nauty- to gtools
      (previously this was done in the autotoolization patches).
    - New execute_before_dh_installman-arch target; generate manpages using
      help2man (previously this was done in the autotoolization patches).
    - Update filename for dh_installchangelogs.
  * debian/source/options
    - New file; ignore changes to some files made during build.
  * debian/watch
    - Remove repack-related options.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 07 Dec 2025 19:46:02 -0500
