## nauty 2.9.3

=== debian/changelog ===
nauty (2.9.3-3) unstable; urgency=medium

  * debian/gbp.conf
    - New file; set pristine-tar to True.
  * debian/rules
    - Use DEB_HOST_ARCH_CPU when determining which popcnt option to pass to
      configure; should fix builds on hurd-* and x32.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 06 Jan 2026 12:59:08 -0500

nauty (2.9.3-2) unstable; urgency=medium

  * debian/libnauty-2.9.3.symbols
    - Mark that nauty_have_popcnt only exists on amd64 and i386.
  * debian/rules
    - Only enable runtime popcnt on amd64 and i386.
    - Remove execute_before_dh_autoreconf target; upstream's aclocal.m4 is
      no longer out-of-date.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 06 Jan 2026 11:34:35 -0500

nauty (2.9.3-1) unstable; urgency=medium

  * Upload to unstable for libnauty-2.9.1 -> libnauty-2.9.3 transition.
  * Clean up packaging files with wrap-and-sort.
  * debian/control
    - Set Multi-Arch to "no" for libnauty-dev since we have conflicting
      versions of nauty.h on different architectures.
  * debian/copyright
    - Update my copyright years.
  * debian/libnauty-2.9.3.symbols
    - Add nauty_have_popcnt; added by popcnt.patch.
  * debian/libnauty-dev.install
    - Don't move header files to "nauty" subdirectory since they're now
      already installed there.
  * debian/patches/pkgincludedir.patch
    - Remove patch; no longer necessary.
  * debian/patches/popcnt.patch
    - Add Bug-Debian field.
    - Add Forwarded field ("not-needed" since Debian-specific).
  * debian/patches/unbundle-cliquer.patch
    - Add Forwarded field (recently reported on nauty mailing list).
  * debian/patches/uninitialized.patch
    - Remove patch; it didn't actually fix any compiler warnings.
  * debian/patches/upstream-fix-gt_numorbits.patch
    - Remove patch; not clear why it was necessary.
  * debian/patches/upstream-zlib-dimacs2g.patch
    - Add Forwarded field (recently reported on nauty mailing list).
  * debian/rules
    - Pass /usr/include/nauty as "includedir" to the configure script to
      simplify the installation of the header files.
    - Pass "--enable-runtime-popcnt" to the configure script; this is the
      feature added in popcnt.patch that detects whether the CPU has
      built-in population count support at runtime.  This way, we no longer
      enable this at compile time, which was resulting in a baseline
      violation on i386 (Closes: #989399).

 -- Doug Torrance <dtorrance@debian.org>  Tue, 06 Jan 2026 09:14:40 -0500

nauty (2.9.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename libnauty-2.9.1 binary package to libnauty-2.9.3.
  * Upload to experimental ahead of soversion transition.
  * debian/control
    - Drop Priority field; "optional" is now the default.
    - Bump Standards-Version to 4.7.3.
    - Drop redundant Rules-Requires-Root field.
  * debian/libnauty-2.9.3.symbols
    - Add missing Build-Depends-Package field.
  * debian/patches
    - Refresh for new upstream release.
    - Switch order of shared.patch and upstream-zlib-dimacs2g.patch to ease
      maintainability.  In particular, we won't need to worry about adding
      "-lz" in code that will later be patched.
  * debian/patches/ldflags.patch
    - Remove patch; LDFLAGS are now honored upstream.
  * debian/patches/pkgincludedir.patch
    - Remove note about upstream-autotoolization.patch, which no longer
      exists.
  * debian/patches/popcnt.patch
    - Remove stray newline at beginning of file.
  * debian/patches/shared.patch
    - Use L instead of L1 when building genquarticg so we don't redefine
      the  MAXN macro.  This is also consistent with the upstream behavior.
  * debian/rules
    - Stop appending CPPFLAGS to CC; they are now honored upstream.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 31 Dec 2025 13:33:52 -0500
