=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: nauty
 Section: math
-Priority: optional
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>,
            Doug Torrance <dtorrance@debian.org>
@@ -11,17 +10,16 @@
                libtool,
                pkgconf,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://pallini.di.uniroma1.it
 Vcs-Git: https://salsa.debian.org/math-team/nauty.git
 Vcs-Browser: https://salsa.debian.org/math-team/nauty
-Rules-Requires-Root: no
 
-Package: libnauty-2.9.1
+Package: libnauty-2.9.3
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: nauty (=${binary:Version}), nauty-doc
 Multi-Arch: same
 Description: library for graph automorphisms -- library package
@@ -43,7 +41,9 @@
 Package: nauty
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libnauty-2.9.1 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libnauty-2.9.3 (=${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: graphviz, nauty-doc
 Description: library for graph automorphisms -- interface and tools
  nauty (No AUTomorphisms, Yes?) is a set of procedures for computing
@@ -64,10 +64,10 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libnauty-2.9.1 (= ${binary:Version}), ${misc:Depends}, libcliquer-dev
+Depends: libcliquer-dev, libnauty-2.9.3 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libnauty2-dev
 Suggests: nauty-doc, pkgconf
-Multi-Arch: same
+Multi-Arch: no
 Description: library for graph automorphisms -- development package
  nauty (No AUTomorphisms, Yes?) is a set of procedures for computing
  automorphism groups of graphs and digraphs. This mathematical software
@@ -87,7 +87,9 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Enhances: libnauty-2.9.1 (=${binary:Version}), nauty (=${binary:Version}), libnauty-dev (=${binary:Version})
+Enhances: libnauty-2.9.3 (=${binary:Version}),
+          libnauty-dev (=${binary:Version}),
+          nauty (=${binary:Version})
 Suggests: pdf-viewer
 Multi-Arch: foreign
 Description: library for graph automorphisms -- user guide
