=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,12 @@
 	DEB_DH_AUTO_CONFIGURE_OPTS__ENABLE_TLS := --enable-tls
 endif
 
+ifeq ($(filter $(DEB_HOST_ARCH_CPU),amd64 i386),)
+	DEB_DH_AUTO_CONFIGURE_POPCNT = --disable-popcnt
+else
+	DEB_DH_AUTO_CONFIGURE_POPCNT = --enable-runtime-popcnt
+endif
+
 export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/cliquer
 
 default:
@@ -23,16 +29,14 @@
 %:
 	dh $@
 
-execute_before_dh_autoreconf:
-	aclocal
-
 override_dh_auto_configure-arch:
 	dh_auto_configure --                              \
 		--enable-clz                              \
 		$(DEB_DH_AUTO_CONFIGURE_OPTS__ENABLE_TLS) \
 		--disable-ansicontrols                    \
 		--enable-generic                          \
-		CC="$(CC) $(CPPFLAGS)"
+		$(DEB_DH_AUTO_CONFIGURE_POPCNT)           \
+		--includedir=/usr/include/nauty
 
 override_dh_auto_configure-indep:
 	@true
