=== debian/tests/control ===
Tests: make-check
Depends: libc6-dev, nauty, tcc

Tests: build-examples
Depends: build-essential, libnauty-dev, nauty-doc, pkgconf
