=== debian/watch ===
version=4
opts=uversionmangle=s/^(\d)(\d*(?:(?:rc|r|beta|b)\d*)?)$/$1.$2/;s/_/./g \
https://pallini.di.uniroma1.it/nauty[-_]?(\d[\-+\.:\~_\da-zA-Z]*)@ARCHIVE_EXT@
